> ## Documentation Index
> Fetch the complete documentation index at: https://safepay.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete QRs

> Delete a QR code that is previously issued.



## OpenAPI

````yaml delete /v1/aggregators/{raast-aggregator-id}/qrs/{qr-id}
openapi: 3.1.0
info:
  title: Raast Wire
  version: 1.0.0
  description: ''
servers:
  - url: https://api.getsafepay.com/raastwire
security: []
tags:
  - name: Aggregators
  - name: Access Keys
  - name: Merchants
  - name: Raast Merchants
  - name: Payments
  - name: Refunds
  - name: QRs
  - name: Utilities
  - name: Aliases
  - name: Ledgers
  - name: Webhooks
paths:
  /v1/aggregators/{raast-aggregator-id}/qrs/{qr-id}:
    parameters:
      - $ref: '#/components/parameters/AggregatorIdParam'
      - $ref: '#/components/parameters/QRIdParam'
    delete:
      tags:
        - QRs
      summary: Delete QRs
      description: Delete a QR code that is previously issued.
      parameters:
        - $ref: '#/components/parameters/QRDeleteAggregatorMerchantIdParam'
      responses:
        '200':
          $ref: '#/components/responses/StandardSuccess'
        '400':
          $ref: '#/components/responses/BadRequest'
      security:
        - apiKey: []
components:
  parameters:
    AggregatorIdParam:
      name: raast-aggregator-id
      in: path
      required: true
      schema:
        type: string
        example: agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e
      description: The unique identifier for the aggregator
    QRIdParam:
      name: qr-id
      in: path
      required: true
      schema:
        type: string
        example: qr_7e26f9be-f59d-4025-8e17-9fc398d16230
      description: The unique identifier for the QR code
    QRDeleteAggregatorMerchantIdParam:
      name: aggregator_merchant_id
      in: query
      required: false
      schema:
        type: string
        example: am_be454a50-7612-4dc6-a97e-284ebbe7ae93
      description: Optional aggregator merchant identifier used when deleting a QR code
  responses:
    StandardSuccess:
      description: Successful operation
      headers:
        Content-Length:
          $ref: '#/components/headers/ContentLengthHeader'
        Date:
          $ref: '#/components/headers/DateHeader'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/StandardResponse'
    BadRequest:
      description: Bad request
      headers:
        Content-Length:
          $ref: '#/components/headers/ContentLengthHeader'
        Date:
          $ref: '#/components/headers/DateHeader'
      content:
        application/json:
          schema:
            allOf:
              - $ref: '#/components/schemas/ErrorResponse'
              - type: object
                properties:
                  code:
                    example: error.bad_request
                  message:
                    example: Invalid request parameters
  headers:
    ContentLengthHeader:
      schema:
        type: string
        example: '256'
    DateHeader:
      schema:
        type: string
        example: Sat, 12 Aug 2023 08:55:04 GMT
  schemas:
    StandardResponse:
      type: object
      description: Standard response structure for successful operations
      properties:
        api_version:
          type: string
          example: v1
          description: The current version of the API spec
        data:
          type: object
          description: Contains the response data
    ErrorResponse:
      type: object
      description: Standard error response structure
      properties:
        code:
          type: string
          description: Error code identifying the type of error
        message:
          type: string
          description: Human-readable error message
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-SFPY-AGGREGATOR-SECRET-KEY
      in: header

````